=== dogtag/ca-ui/CMakeLists.txt ===
project(ca-ui)

install(
    DIRECTORY
        shared/
    DESTINATION
        ${SHARE_INSTALL_PREFIX}/${APPLICATION_NAME}/${PROJECT_NAME}
)
