=== debian/changelog ===
dogtag-pki (10.2.0-4) unstable; urgency=medium

  * control: Add python-selinux to pki-server depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Nov 2014 11:08:29 +0200

dogtag-pki (10.2.0-3) unstable; urgency=medium

  * control: Add Breaks/Replaces on strongswan-starter to pki-tools.
    (Closes: #767561)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Nov 2014 00:40:10 +0200

dogtag-pki (10.2.0-2) unstable; urgency=medium

  * patches: Fix servlet jar name, and paths to jss4.jar and symkey.jar.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 24 Oct 2014 20:39:24 +0300

dogtag-pki (10.2.0-1) unstable; urgency=low

  * Initial release (Closes: #653606)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Oct 2014 14:40:12 +0300
