=== debian/changelog ===
dogtag-pki (10.2.6-1) unstable; urgency=medium

  * New upstream release based on DOGTAG_10_2_6_FEDORA_22_23_20150718 tag.
  * Refresh patches, drop upstreamed ones.
  * control: Drop libcrypt-ssleay-perl and libxml-perl from depends.
  * pki-tools.install: Add pki-ca-profile manpage.
  * control: Add python-sphinx to build-depends.
  * fix-jackson-paths.diff: Dropped, obsolete. Refresh other patches
    to drop unused jackson includes.
  * pki-server.install: Add sbin/pki-server.
  * control: strongswan-starter didn't rename it's 'pki' as planned, so
    add an unversioned Conflicts to pki-tools. (Closes: #767561)
  * control: Update vcs-git location (-> dogtag-pki.git).
  * Update patches.
  * control, pki-server.install: Clean up perl stuff, drop pki-setup-
    proxy which is gone.
  * control: Add libnuxwdog-java to build-depends, and pki-server depends.
  * install: Added new manpages, nuxwdog support, html docs to pki-base.
  * debian-support.diff: Fix nuxwdog paths.
  * debian-support.diff: Don't try to manage rc3.d/* symlinks.
  * rules: Symlink jars under subsystem WEB-INF.
  * pki-server.postinst, pki-base.post{inst,rm}: Add pki-upgrade/pki-
    server-upgrade snippets.
  * rules, patches: Explicitly build using tomcat7, and add a dummy
    method. (Closes: #789138)
  * use-dot-instead-of-source.diff: Fix bashisms.
  * debian-support.diff: Fix JNI_JAR_DIR.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Sep 2015 18:29:12 +0300
