=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  libldap2-dev,
  libnspr4-dev,
  libnss3-dev,
+ libnuxwdog-java,
  libresteasy-java,
  libservlet3.0-java,
  libsvrcore-dev,
@@ -32,13 +33,14 @@
  pkg-config,
  policycoreutils,
  python-dev,
+ python-sphinx,
  selinux-policy-dev,
  velocity,
  zlib1g-dev,
 Standards-Version: 3.9.5
 Homepage: http://pki.fedoraproject.org
-Vcs-Git: git://anonscm.debian.org/pkg-freeipa/pki.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-freeipa/pki.git
+Vcs-Git: git://anonscm.debian.org/pkg-freeipa/dogtag-pki.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-freeipa/dogtag-pki.git
 
 Package: dogtag-pki
 Architecture: all
@@ -112,8 +114,7 @@
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
-Breaks: strongswan-starter (<< 5.2.1-5~)
-Replaces: strongswan-starter (<< 5.2.1-5~)
+Conflicts: strongswan-starter
 Description: Certificate System - PKI Tools
  This package contains PKI executables that can be used to help make
  Certificate System into a more complete and robust PKI solution.
@@ -127,16 +128,15 @@
  dogtag-pki-server-theme (>= ${source:Version}),
  ldap-utils,
  libatk-wrapper-java,
- libcrypt-ssleay-perl,
  libjackson-json-java,
  libjackson2-annotations-java,
  libjackson2-jaxrs-providers-java,
  libjs-jquery,
  libjs-underscore,
  libtomcatjss-java (>= 7.1.0),
+ libnuxwdog-java,
  libxml-commons-external-java,
  libxml-commons-resolver1.1-java,
- libxml-perl,
  pki-base (= ${binary:Version}),
  pki-tools (= ${binary:Version}),
  python-selinux,
@@ -291,7 +291,6 @@
  pki-server (>= ${source:Version}),
  ${java:Depends},
  ${misc:Depends},
- ${perl:Depends},
  ${shlibs:Depends},
 Suggests: pki-ca, pki-kra, pki-tks
 Description: Certificate System - Token Processing System
@@ -339,3 +338,5 @@
  information about individual tokens.
  .
  This client is a test tool that interacts with TPS. It is useful to test
+ TPS server configs without risking an actual smart card.
+
