=== debian/rules ===
--- 
+++ 
@@ -53,6 +53,7 @@
 	-DSERVLET_JAR=/usr/share/java/servlet-api-3.0.jar \
 	-DXERCES_JAR=/usr/share/java/xercesImpl.jar \
 	-DXALAN_JAR=/usr/share/java/xalan2.jar \
+	-DWITH_TOMCAT8:BOOL=OFF \
 	$(confflags-common)
 
 confflags-console = \
@@ -96,12 +97,24 @@
 	find $(CURDIR)/debian/tmp/usr/share/pki -name '*.pl' -exec chmod 755 '{}' ';'
 	find $(CURDIR)/debian/tmp/lib/systemd -exec chmod 644 '{}' ';'
 
-	# Create symlinks for TPS web application
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/pki/tps/webapps/tps/WEB-INF/lib
-	for i in pki-nsutil.jar pki-cmsutil.jar pki-certsrv.jar pki-cms.jar pki-cmscore.jar \
-		pki-cmsbundle.jar pki-tps.jar; do \
-		ln -s /usr/share/pki/$$i $(CURDIR)/debian/tmp/usr/share/pki/tps/webapps/tps/WEB-INF/lib/$$i \
-	; done
+	# Create symlinks for subsystem libraries
+	for subsys in ca kra ocsp tks tps; do \
+		mkdir -p $(CURDIR)/debian/tmp/usr/share/pki/$$subsys/webapps/$$subsys/WEB-INF/lib ;\
+		ln -s /usr/share/java/pki/pki-nsutil.jar \
+			$(CURDIR)/debian/tmp/usr/share/pki/$$subsys/webapps/$$subsys/WEB-INF/lib ;\
+		ln -s /usr/share/java/pki/pki-cmsutil.jar \
+			$(CURDIR)/debian/tmp/usr/share/pki/$$subsys/webapps/$$subsys/WEB-INF/lib ;\
+		ln -s /usr/share/java/pki/pki-certsrv.jar \
+			$(CURDIR)/debian/tmp/usr/share/pki/$$subsys/webapps/$$subsys/WEB-INF/lib ;\
+		ln -s /usr/share/java/pki/pki-cms.jar \
+			$(CURDIR)/debian/tmp/usr/share/pki/$$subsys/webapps/$$subsys/WEB-INF/lib ;\
+		ln -s /usr/share/java/pki/pki-cmscore.jar \
+			$(CURDIR)/debian/tmp/usr/share/pki/$$subsys/webapps/$$subsys/WEB-INF/lib ;\
+		ln -s /usr/share/java/pki/pki-cmsbundle.jar \
+			$(CURDIR)/debian/tmp/usr/share/pki/$$subsys/webapps/$$subsys/WEB-INF/lib ;\
+		ln -s /usr/share/java/pki/pki-$$subsys.jar \
+			$(CURDIR)/debian/tmp/usr/share/pki/$$subsys/webapps/$$subsys/WEB-INF/lib ;\
+	done
 
 override_dh_installinit:
 	dh_installinit -ppki-server --name=pki-tomcatd --error-handler=invoke_failure
